#pragma once

#include "EngraveImage.h"
#include "afxwin.h"

// EngraveSetup dialog

class EngraveSetup : public CDialog
{
	DECLARE_DYNAMIC(EngraveSetup)

public:
	EngraveSetup(CWnd* pParent = NULL);   // standard constructor
	virtual ~EngraveSetup();

// Dialog Data
	enum { IDD = IDD_PROBECONFIG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	bool Loaded;
	
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnEnChangeFeedrate();
	afx_msg void OnEnChangeYstepover();
	afx_msg void OnEnChangeProbedist();
	double m_ProbeRad;
	int m_Type;
	double m_ProbeStuck;
	afx_msg void OnBnClickedLoadimage();
	afx_msg void OnPaint();
	CStatic m_Pic;
	CEdit m_LengthBox;
	CString lpszPathName;
	
	afx_msg void OnBnClickedCalc();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	BOOL m_40MS;
};

class EngraveThread : public CWinThread
{
	friend class CMainFrame;
	DECLARE_DYNCREATE(EngraveThread)

public:
	EngraveThread();
	virtual ~EngraveThread();


private:

public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	DECLARE_MESSAGE_MAP()
};
